export declare const useGetFilterOptions: () => (collectionName: any, dataSource?: string) => any[];
export declare const useFilterOptions: (collectionName: string) => any[];
export declare const useGetFilterFieldOptions: () => (fields: any) => any[];
export declare const useFilterFieldOptions: (fields: any) => any[];
export declare const getCustomCondition: any;
export declare const removeNullCondition: any;
export declare const useFilterActionProps: () => {
    options: any;
    onSubmit(values: any): any;
    onReset(): any;
};
export declare const useFilterFieldProps: ({ options, service, params }: {
    options: any;
    service: any;
    params: any;
}) => {
    options: any;
    onSubmit(values: any): any;
    onReset(): any;
};
